Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2555 - locale data for de_DE is outdated
Summary: locale data for de_DE is outdated
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-05 04:38 UTC by tim.landscheidt
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-29 01:05:34 UTC


Attachments (Terms of Use)

Description tim.landscheidt 1999-05-05 04:38:27 UTC
/usr/share/i18n/locales/de_DE is pretty outdated - it still
has the old German date format ("DD.MM.YYYY"). GNU's
glibc-localedata-2.0.6.tar.gz seems to have it right since
at least 1997-12-28. Pristine sources? :-)

Easy solution: Edit de_DE and re-run localedef. But the
right way (TM) should of course be modifying the .src.rpm.

Comment 1 Cristian Gafton 1999-07-28 06:09:59 UTC
I am told by the glibc maintainers that there has not been any
official decision on this, so the format glibc uses is still the
active one.

Comment 2 tim.landscheidt 1999-07-29 00:52:59 UTC
In localedata/locales/de_DE (timestamped: 1997-03-05) from
<URI:ftp://ftp.gnu.org/gnu/glibc/glibc-localedata-2.0.6.tar.gz>
(timestamped: 1997-12-29), line #2200 says:

| d_fmt   "<%><Y><-><%><m><-><%><d>"

That seems to be an "official" decision by the glibc maintainers, and
it is also perfectly correct according to EN 28601 and DIN 5008 which
apply to the Federal Republic of Germany (cf.
<URI:http://www.cl.cam.ac.uk/~mgk25/iso-time.html>). I may be missing
some point.

Comment 3 Cristian Gafton 1999-07-29 01:05:59 UTC
Please report it to the glibc maintainers. this is not the kind of
change we can do unilaterally.


Note You need to log in before you can comment on or make changes to this bug.